Bug 855180 - attempting to change the thin pool volume to read-only should not be allowed if not supported
Summary: attempting to change the thin pool volume to read-only should not be allowed ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2
Version: 6.3
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Zdenek Kabelac
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-09-06 22:38 UTC by Corey Marthaler
Modified: 2013-02-21 08:13 UTC (History)
10 users (show)

Fixed In Version: lvm2-2.02.98-1.el6
Doc Type: Bug Fix
Doc Text:
When user tried to convert thin snapshot volume into a read-only volume, internal error messages have been displayed and operation has failed. This has been fixed and thin snapshot volumes now could be converted to read-only mode. Also for the conversion of the thin pool to read-only mode explicit error message has been added about unsupported feature.
Clone Of:
Environment:
Last Closed: 2013-02-21 08:13:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0501 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2013-02-20 21:30:45 UTC

Description Corey Marthaler 2012-09-06 22:38:30 UTC
Description of problem:

Creating thinpool and corresponding thin origin volume
lvcreate --thinpool POOL -L 1G snapper_thinp
lvcreate --virtualsize 1G --thinpool snapper_thinp/POOL -n origin
Making snapshot of origin volume
lvcreate -s /dev/snapper_thinp/origin -n display_snap

[root@taft-01 ~]# lvs -a -o +devices
  LV           VG            Attr     LSize  Pool Origin Data%  Devices
  POOL         snapper_thinp twi-a-tz  1.00g               0.00 POOL_tdata(0)
  [POOL_tdata] snapper_thinp Twi-aot-  1.00g                    /dev/sdd1(0)
  [POOL_tmeta] snapper_thinp ewi-aot-  4.00m                    /dev/sdg1(0)
  display_snap snapper_thinp Vwi-a-tz  1.00g POOL origin   0.00 
  origin       snapper_thinp Vwi-a-tz  1.00g POOL          0.00

[root@taft-01 ~]# lvchange -pr snapper_thinp/POOL
  device-mapper: reload ioctl on  failed: Invalid argument
  Failed to lock POOL
  Internal error: metadata commit (or revert) missing before dropping metadata from cache.
  Internal error: metadata commit (or revert) missing before dropping metadata from cache.


Version-Release number of selected component (if applicable):
2.6.32-279.el6.x86_64

lvm2-2.02.95-10.el6    BUILT: Fri May 18 03:26:00 CDT 2012
lvm2-libs-2.02.95-10.el6    BUILT: Fri May 18 03:26:00 CDT 2012
lvm2-cluster-2.02.95-10.el6    BUILT: Fri May 18 03:26:00 CDT 2012
udev-147-2.41.el6    BUILT: Thu Mar  1 13:01:08 CST 2012
device-mapper-1.02.74-10.el6    BUILT: Fri May 18 03:26:00 CDT 2012
device-mapper-libs-1.02.74-10.el6    BUILT: Fri May 18 03:26:00 CDT 2012
device-mapper-event-1.02.74-10.el6    BUILT: Fri May 18 03:26:00 CDT 2012
device-mapper-event-libs-1.02.74-10.el6    BUILT: Fri May 18 03:26:00 CDT 2012
cmirror-2.02.95-10.el6    BUILT: Fri May 18 03:26:00 CDT 2012

Comment 1 Zdenek Kabelac 2012-10-05 08:45:50 UTC
Allowing modification of thin snap volumes with upstream commit:

https://www.redhat.com/archives/lvm-devel/2012-October/msg00014.html

Comment 3 Nenad Peric 2012-10-31 12:00:40 UTC
Could you please correct the typo in the error message?

[root@r6-node01:~]$ lvchange -pr snapper_thinp/POOL
  Change permissions of thin pool "POOL" not yes supported.


Verifying the fix works as such with lvm2-2.02.98-2.el6.x86_64.

Comment 4 Peter Rajnoha 2012-10-31 12:53:07 UTC
(In reply to comment #3)
> Could you please correct the typo in the error message?
> 
> [root@r6-node01:~]$ lvchange -pr snapper_thinp/POOL
>   Change permissions of thin pool "POOL" not yes supported.
> 

Already fixed upstream, I'll add that in next 6.4 build.

Comment 5 errata-xmlrpc 2013-02-21 08:13:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0501.html


Note You need to log in before you can comment on or make changes to this bug.